Subject: Re: [Qirg] Qirg Digest, Vol 18, Issue 1

From: Stephen Diadamo <[email-masked]>
Date: Tue, 1 Oct 2019 17:12:41 +0200

Hi All,

I'm relatively familiar with GitHub and can set up a task board and add the
necessary webhooks.

Thanks,
Stephen

On Tue, 1 Oct 2019 at 13:35, <[email-masked]> wrote:

> Send Qirg mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www.irtf.org/mailman/listinfo/qirg
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Qirg digest..."
> Today's Topics:
>
>    1. Quantum Internet Proposed Research Group (qirg) RG Virtual
>       Meeting: 2019-09-30 (IESG Secretary)
>    2. Quantum Internet Proposed Research Group (qirg) RG Virtual
>       Meeting: 2019-10-14 (IESG Secretary)
>    3. Quantum Internet Proposed Research Group (qirg) RG Virtual
>       Meeting: 2019-10-28 (IESG Secretary)
>    4. Quantum Internet Proposed Research Group (qirg) RG Virtual
>       Meeting: 2019-11-11 (IESG Secretary)
>    5. draft-irtf-qirg-principles: next steps (Wojciech Kozlowski)
>    6. draft-irtf-qirg-principles: Relation to Classical Networks
>       (Wojciech Kozlowski)
>
>
>
> ---------- Forwarded message ----------
> From: IESG Secretary <[email-masked]>
> To: IETF-Announce <[email-masked]>, IRTF-Announce <
> [email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Fri, 27 Sep 2019 13:04:39 -0700
> Subject: [Qirg] Quantum Internet Proposed Research Group (qirg) RG Virtual
> Meeting: 2019-09-30
> The Quantum Internet Proposed Research Group (qirg) Research Group will
> hold
> a virtual interim meeting on 2019-09-30 from 11:00 to 12:00 UTC.
>
> Agenda:
> 1. Discuss and agree on goals for the "Architectural Principles for a
> Quantum Internet" draft.
> 2. Wojciech Kozlowski will go over and explain the various open-ended
> questions which might be worth addressing in the draft that he received
> after IETF 104.
> 3. Agree on next steps to address goals of the draft and prepare a new
> version for IETF 106.
>
> Information about remote participation:
> https://meet.jit.si/QirgDraftPrinciples *** Please only use
> Chrome/Chromium based browser to join ***
>
> Call announced on QIRG mailing list on 2019-09-23
>
>
>
>
>
> ---------- Forwarded message ----------
> From: IESG Secretary <[email-masked]>
> To: IETF-Announce <[email-masked]>, IRTF-Announce <
> [email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Fri, 27 Sep 2019 13:05:10 -0700
> Subject: [Qirg] Quantum Internet Proposed Research Group (qirg) RG Virtual
> Meeting: 2019-10-14
> The Quantum Internet Proposed Research Group (qirg) Research Group will
> hold
> a virtual interim meeting on 2019-10-14 from 11:00 to 12:00 UTC.
>
> Agenda:
> Detailed agenda TBD - continue discussions from previous meeting.
>
> Information about remote participation:
> https://meet.jit.si/QirgDraftPrinciples *** Please only use
> Chrome/Chromium based browser to join ***
>
>
>
>
>
> ---------- Forwarded message ----------
> From: IESG Secretary <[email-masked]>
> To: IETF-Announce <[email-masked]>, IRTF-Announce <
> [email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Fri, 27 Sep 2019 13:05:33 -0700
> Subject: [Qirg] Quantum Internet Proposed Research Group (qirg) RG Virtual
> Meeting: 2019-10-28
> The Quantum Internet Proposed Research Group (qirg) Research Group will
> hold
> a virtual interim meeting on 2019-10-28 from 11:00 to 12:00 UTC.
>
> Agenda:
> Detailed agenda TBD - continue discussions from previous meeting.
>
> Information about remote participation:
> https://meet.jit.si/QirgDraftPrinciples *** Please only use
> Chrome/Chromium based browser to join ***
>
>
>
>
>
> ---------- Forwarded message ----------
> From: IESG Secretary <[email-masked]>
> To: IETF-Announce <[email-masked]>, IRTF-Announce <
> [email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Fri, 27 Sep 2019 13:06:18 -0700
> Subject: [Qirg] Quantum Internet Proposed Research Group (qirg) RG Virtual
> Meeting: 2019-11-11
> The Quantum Internet Proposed Research Group (qirg) Research Group will
> hold
> a virtual interim meeting on 2019-11-11 from 11:00 to 12:00 UTC.
>
> Agenda:
> Detailed agenda TBD - continue discussions from previous meeting.
>
> Information about remote participation:
> https://meet.jit.si/QirgDraftPrinciples *** Please only use
> Chrome/Chromium based browser to join ***
>
>
>
>
>
> ---------- Forwarded message ----------
> From: Wojciech Kozlowski <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Cc:
> Bcc:
> Date: Tue, 1 Oct 2019 09:15:22 +0000
> Subject: [Qirg] draft-irtf-qirg-principles: next steps
> Dear QIRG,
>
> Following up on the call from yesterday (thanks for the minutes,
> Rodney), we will try to continue working on the draft in the following
> ways:
>
> 1. Individually, you can pick up a work item from
>
> https://github.com/Wojtek242/draft-irtf-qirg-principles/blob/master/CONTRIBUTING.md
>  and propose an update to the draft on the mailing list.
>
> 2. I will choose one of these items and start a discussion on the
> mailing list. We will consolidate this discussion on the next call
> after which I will write an update to the draft based on all the
> contributions on the mailing list and in the call. This update can then
> be reviewed on the mailing list before moving on to the next discussion
> point.
>
> I will send a separate e-mail soon for the first discussion for point
> number 2.
>
> On the call there were suggestions on how to use GitHub better. This
> seems to be at odds with the fact that most people rely on the mailing
> list. However, it may be possible to set up GitHub in a way such that
> all contributions are also reflected on the mailing list. If you know
> your way around GitHub, and would have time to investigate and set it
> up, I can add you as a contributor to the repo and let you do
> everything. So let me know if you would like to help!
>
> Thanks,
> Wojtek
>
>
>
> ---------- Forwarded message ----------
> From: Wojciech Kozlowski <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Cc:
> Bcc:
> Date: Tue, 1 Oct 2019 11:35:21 +0000
> Subject: [Qirg] draft-irtf-qirg-principles: Relation to Classical Networks
>
> Dear QIRG,
>
> For the first item of discussion for the "Architectural Principles for a
> Quantum Internet" draft we will start with the topic that generated the
> most discussion on the call namely:
>
> *The relation between classical and quantum networks. *
>
> Within this I also want to cover two related issues:
>
>    - the definition and relation of two coexisting data planes
>    - what do we have instead of a packet in a quantum network
>
>
> Datatracker version:
> https://datatracker.ietf.org/doc/draft-irtf-qirg-principles/
> GitHub version: https://github.com/Wojtek242/draft-irtf-qirg-principles
>
> Here, I will propose a bullet point outline for the contents of a new
> section. This new section will replace/expand the existing section 5.1
> "Model of a quantum network" (therefore, it assumes the reader has read
> sections 1-4). Please use this opportunity to make sure that everything is
> covered in these bullet points, because if it isn't, you can assume it
> won't make it into the final version. *Feel free to add your own points
> below!*
>
> *What feedback am I looking for:*
>
>    - is the abstract model of the network clear from the description
>    below?
>    - if something is not clear and you think it deserves more attention,
>    please make a note of it by replying to the mailing list.
>    - there was mention of referring to the time and spatial relations
>    between the data planes. I'm not sure that's covered below so I could use
>    some help with this. Even phrasing the problem as a series of more specific
>    questions would be useful.
>    - I vaguely mention mention naming below and this was a point raised
>    below. One possibility is to reuse classical naming mechanisms since a
>    quantum network will coexist with a classical network. This may be
>    sufficient.
>    - there was also a question of drawing analogies to the physical layer
>    in a classical network - is this covered sufficiently below or should more
>    information be added or clarified?
>    - If you have something to add, please just add it to the list below.
>    - If you have questions that are not directly related to the content
>    below, please start a new e-mail thread.
>
>
> *Important dates for this discussion:*
>
>    - 2019-10-01: discussion opened on QIRG mailing list.
>    - 2019-10-08: please try to send any comments you have by this day to
>    allow for some discussion and reactions before the next call.
>    - 2019-10-14: the next call to discuss the draft - aim will be to
>    consolidate discussions on the topic below. If there is rough consensus I
>    will then work on writing up the discussion and adding it to the draft.
>    Otherwise, we will proceed on the mailing list.
>
>
> *Proposed new content for section 5.1:*
>
>
>    1. Challenges
>       - Goal of this section is to give the reader a good abstract model
>       of what a quantum network looks like. Amongst other things it must answer
>       the question "why can we not just build a quantum network in the same way
>       we built classical networks".
>       - There is no quantum equivalent of a payload-carrying packet. The
>       basic unit is entanglement in the form of entangled qubits. Entanglement is
>       a generic resource distributed to end-nodes which is consumed by
>       applications. Teleportation, the mechanism for transporting quantum data,
>       is one such application.
>       - Entanglement is a phenomenon in which two or more qubits exist in
>       a physically distributed state. This property exists at the physical level
>       and requires that the location and state of its constituent qubits be
>       known. This is in contrast to classical signals at the physical layer which
>       proceed statelessly from sender to receiver.
>       - Entangled qubits do not carry control information. Therefore, a
>       quantum router must manage two data planes in parallel, a classical one,
>       which carries the control information, and a quantum one, which carries
>       entangled qubits. It must also be able to correlate the classical control
>       information with the appropriate entangled pairs.
>       - Setting up end-to-end entanglement necessarily requires temporary
>       state in the intermediate nodes beyond forwarding tables. At the very least
>       all qubits will need some local metadata associated with them to allow
>       routers to correlate them with the relevant control information.
>       - Creating a longer end-to-end pair is a spatially parallelisable
>       operation unlike packet forwarding. The generation of entangled pairs on
>       each individual link can happen in parallel (perhaps even as a background
>       process) and the entanglement swaps can also be done independently of each
>       other. What is important is that at the end of the day, the control plane
>       can unambiguously identify which qubits in the network are paired up in an
>       entangled pair state. This implies that the forwarding mechanisms may be
>       very different.
>    2. Abstract model of the network
>       - In a quantum network will consist of quantum channels which serve
>       to generate entanglement on individual links and classical channels which
>       are used to transmit control information (in the conventional way - as
>       packets).
>       - Not all routers will have both - some devices may only have a
>       classical data plane. Some devices may only have a quantum data plane (in
>       this case the entanglement generation and swapping will be fully automated).
>       - Decision making nodes necessarily have both data planes.
>       - It is beyond the scope of this draft to propose concrete
>       mechanisms for correlating control information with qubits. However, it is
>       worth outlining some possibilities. For example, an entangled pair can have
>       metadata associated with it, such as the time it was generated at. If time
>       is discretised into time bins and only one such pair at most is generated
>       in each time bin this can be used to uniquely identify a particular
>       entangled qubit. This is the mechanism used in the recently proposed link
>       layer protocol.
>       - Because a classical network is part of a quantum network, we can
>       use several basic mechanisms from classical networks, such as: routing
>       protocols (for distributing topology information - actual routing decisions
>       will be more involved), IP addresses and ports for naming, GMPLS was also
>       mentioned which may be relevant in some situations. I think Rodney did some
>       work in this area in the past - perhaps something could be added here.
>
>
> Thanks,
> Wojtek
>
> _______________________________________________
> Qirg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/qirg
>